summarylogtreecommitdiffstats
path: root/linux-lts-tresor.install
diff options
context:
space:
mode:
authorClaire Farron2015-06-11 13:50:53 +0100
committerClaire Farron2015-06-11 13:50:53 +0100
commit82684f59696e1b78fd36fae383d0e678b1a9a024 (patch)
tree16bbf7e397911ea48d0d8be0aa9914a3c6c95015 /linux-lts-tresor.install
downloadaur-82684f59696e1b78fd36fae383d0e678b1a9a024.tar.gz
Initial import
Diffstat (limited to 'linux-lts-tresor.install')
-rw-r--r--linux-lts-tresor.install38
1 files changed, 38 insertions, 0 deletions
diff --git a/linux-lts-tresor.install b/linux-lts-tresor.install
new file mode 100644
index 000000000000..6f68734fead8
--- /dev/null
+++ b/linux-lts-tresor.install
@@ -0,0 +1,38 @@
+KERNEL_NAME=-lts-ck
+KERNEL_VERSION=
+
+post_install () {
+ # updating module dependencies
+ echo ">>> Updating module dependencies. Please wait ..."
+ depmod ${KERNEL_VERSION}
+ echo ">>> Generating initial ramdisk, using mkinitcpio. Please wait..."
+ mkinitcpio -p linux${KERNEL_NAME}
+}
+
+post_upgrade() {
+ pacman -Sl linux-tresor &>/dev/null
+ hasrepotresor=$?
+
+ if findmnt --fstab -uno SOURCE /boot &>/dev/null && ! mountpoint -q /boot; then
+ echo "WARNING: /boot appears to be a separate partition but is not mounted."
+ fi
+ # updating module dependencies
+ echo ">>> Updating module dependencies. Please wait ..."
+ depmod ${KERNEL_VERSION}
+ echo ">>> Generating initial ramdisk, using mkinitcpio. Please wait..."
+ mkinitcpio -p linux${KERNEL_NAME}
+
+ if [ $hasrepotresor -eq 0 ]; then
+ echo
+ echo ">>> Thank you for using http://dl.dropbox.com/u/298301785/arch/linux-tresor/$arch"
+ echo ">>> for your TRESOR package needs."
+ echo ">>> The repository support thread can be found at:"
+ echo ">>> https://bbs.archlinux.org/viewtopic.php?id=187339"
+ fi
+}
+
+post_remove() {
+ # also remove the compat symlinks
+ rm -f boot/initramfs-linux${KERNEL_NAME}.img
+ rm -f boot/initramfs-linux${KERNEL_NAME}-fallback.img
+}